Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fca0::/16
First address
fca0::
Last address
fca0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fca0:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
0.a.c.f.ip6.arpa
Split into smaller subnets/28

fca0::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
1fca0::/28fca0:f:ffff:ffff:ffff:ffff:ffff:ffff
2fca0:10::/28fca0:1f:ffff:ffff:ffff:ffff:ffff:ffff
3fca0:20::/28fca0:2f:ffff:ffff:ffff:ffff:ffff:ffff
4fca0:30::/28fca0:3f:ffff:ffff:ffff:ffff:ffff:ffff
5fca0:40::/28fca0:4f:ffff:ffff:ffff:ffff:ffff:ffff
6fca0:50::/28fca0:5f:ffff:ffff:ffff:ffff:ffff:ffff
7fca0:60::/28fca0:6f:ffff:ffff:ffff:ffff:ffff:ffff
8fca0:70::/28fca0:7f:ffff:ffff:ffff:ffff:ffff:ffff
9fca0:80::/28fca0:8f:ffff:ffff:ffff:ffff:ffff:ffff
10fca0:90::/28fca0:9f:ffff:ffff:ffff:ffff:ffff:ffff
11fca0:a0::/28fca0:af:ffff:ffff:ffff:ffff:ffff:ffff
12fca0:b0::/28fca0:bf:ffff:ffff:ffff:ffff:ffff:ffff
13fca0:c0::/28fca0:cf:ffff:ffff:ffff:ffff:ffff:ffff
14fca0:d0::/28fca0:df:ffff:ffff:ffff:ffff:ffff:ffff
15fca0:e0::/28fca0:ef:ffff:ffff:ffff:ffff:ffff:ffff
16fca0:f0::/28fca0:ff:ffff:ffff:ffff:ffff:ffff:ffff
17fca0:100::/28fca0:10f:ffff:ffff:ffff:ffff:ffff:ffff
18fca0:110::/28fca0:11f:ffff:ffff:ffff:ffff:ffff:ffff
19fca0:120::/28fca0:12f:ffff:ffff:ffff:ffff:ffff:ffff
20fca0:130::/28fca0:13f:ffff:ffff:ffff:ffff:ffff:ffff
21fca0:140::/28fca0:14f:ffff:ffff:ffff:ffff:ffff:ffff
22fca0:150::/28fca0:15f:ffff:ffff:ffff:ffff:ffff:ffff
23fca0:160::/28fca0:16f:ffff:ffff:ffff:ffff:ffff:ffff
24fca0:170::/28fca0:17f:ffff:ffff:ffff:ffff:ffff:ffff
25fca0:180::/28fca0:18f:ffff:ffff:ffff:ffff:ffff:ffff
26fca0:190::/28fca0:19f:ffff:ffff:ffff:ffff:ffff:ffff
27fca0:1a0::/28fca0:1af:ffff:ffff:ffff:ffff:ffff:ffff
28fca0:1b0::/28fca0:1bf:ffff:ffff:ffff:ffff:ffff:ffff
29fca0:1c0::/28fca0:1cf:ffff:ffff:ffff:ffff:ffff:ffff
30fca0:1d0::/28fca0:1df:ffff:ffff:ffff:ffff:ffff:ffff
31fca0:1e0::/28fca0:1ef:ffff:ffff:ffff:ffff:ffff:ffff
32fca0:1f0::/28fca0:1ff:ffff:ffff:ffff:ffff:ffff:ffff
33fca0:200::/28fca0:20f:ffff:ffff:ffff:ffff:ffff:ffff
34fca0:210::/28fca0:21f:ffff:ffff:ffff:ffff:ffff:ffff
35fca0:220::/28fca0:22f:ffff:ffff:ffff:ffff:ffff:ffff
36fca0:230::/28fca0:23f:ffff:ffff:ffff:ffff:ffff:ffff
37fca0:240::/28fca0:24f:ffff:ffff:ffff:ffff:ffff:ffff
38fca0:250::/28fca0:25f:ffff:ffff:ffff:ffff:ffff:ffff
39fca0:260::/28fca0:26f:ffff:ffff:ffff:ffff:ffff:ffff
40fca0:270::/28fca0:27f:ffff:ffff:ffff:ffff:ffff:ffff
41fca0:280::/28fca0:28f:ffff:ffff:ffff:ffff:ffff:ffff
42fca0:290::/28fca0:29f:ffff:ffff:ffff:ffff:ffff:ffff
43fca0:2a0::/28fca0:2af:ffff:ffff:ffff:ffff:ffff:ffff
44fca0:2b0::/28fca0:2bf:ffff:ffff:ffff:ffff:ffff:ffff
45fca0:2c0::/28fca0:2cf:ffff:ffff:ffff:ffff:ffff:ffff
46fca0:2d0::/28fca0:2df:ffff:ffff:ffff:ffff:ffff:ffff
47fca0:2e0::/28fca0:2ef:ffff:ffff:ffff:ffff:ffff:ffff
48fca0:2f0::/28fca0:2ff:ffff:ffff:ffff:ffff:ffff:ffff
49fca0:300::/28fca0:30f:ffff:ffff:ffff:ffff:ffff:ffff
50fca0:310::/28fca0:31f:ffff:ffff:ffff:ffff:ffff:ffff
51fca0:320::/28fca0:32f:ffff:ffff:ffff:ffff:ffff:ffff
52fca0:330::/28fca0:33f:ffff:ffff:ffff:ffff:ffff:ffff
53fca0:340::/28fca0:34f:ffff:ffff:ffff:ffff:ffff:ffff
54fca0:350::/28fca0:35f:ffff:ffff:ffff:ffff:ffff:ffff
55fca0:360::/28fca0:36f:ffff:ffff:ffff:ffff:ffff:ffff
56fca0:370::/28fca0:37f:ffff:ffff:ffff:ffff:ffff:ffff
57fca0:380::/28fca0:38f:ffff:ffff:ffff:ffff:ffff:ffff
58fca0:390::/28fca0:39f:ffff:ffff:ffff:ffff:ffff:ffff
59fca0:3a0::/28fca0:3af:ffff:ffff:ffff:ffff:ffff:ffff
60fca0:3b0::/28fca0:3bf:ffff:ffff:ffff:ffff:ffff:ffff
61fca0:3c0::/28fca0:3cf:ffff:ffff:ffff:ffff:ffff:ffff
62fca0:3d0::/28fca0:3df:ffff:ffff:ffff:ffff:ffff:ffff
63fca0:3e0::/28fca0:3ef:ffff:ffff:ffff:ffff:ffff:ffff
64fca0:3f0::/28fca0:3ff:ffff:ffff:ffff:ffff:ffff:ffff
65fca0:400::/28fca0:40f:ffff:ffff:ffff:ffff:ffff:ffff
66fca0:410::/28fca0:41f:ffff:ffff:ffff:ffff:ffff:ffff
67fca0:420::/28fca0:42f:ffff:ffff:ffff:ffff:ffff:ffff
68fca0:430::/28fca0:43f:ffff:ffff:ffff:ffff:ffff:ffff
69fca0:440::/28fca0:44f:ffff:ffff:ffff:ffff:ffff:ffff
70fca0:450::/28fca0:45f:ffff:ffff:ffff:ffff:ffff:ffff
71fca0:460::/28fca0:46f:ffff:ffff:ffff:ffff:ffff:ffff
72fca0:470::/28fca0:47f:ffff:ffff:ffff:ffff:ffff:ffff
73fca0:480::/28fca0:48f:ffff:ffff:ffff:ffff:ffff:ffff
74fca0:490::/28fca0:49f:ffff:ffff:ffff:ffff:ffff:ffff
75fca0:4a0::/28fca0:4af:ffff:ffff:ffff:ffff:ffff:ffff
76fca0:4b0::/28fca0:4bf:ffff:ffff:ffff:ffff:ffff:ffff
77fca0:4c0::/28fca0:4cf:ffff:ffff:ffff:ffff:ffff:ffff
78fca0:4d0::/28fca0:4df:ffff:ffff:ffff:ffff:ffff:ffff
79fca0:4e0::/28fca0:4ef:ffff:ffff:ffff:ffff:ffff:ffff
80fca0:4f0::/28fca0:4ff:ffff:ffff:ffff:ffff:ffff:ffff
81fca0:500::/28fca0:50f:ffff:ffff:ffff:ffff:ffff:ffff
82fca0:510::/28fca0:51f:ffff:ffff:ffff:ffff:ffff:ffff
83fca0:520::/28fca0:52f:ffff:ffff:ffff:ffff:ffff:ffff
84fca0:530::/28fca0:53f:ffff:ffff:ffff:ffff:ffff:ffff
85fca0:540::/28fca0:54f:ffff:ffff:ffff:ffff:ffff:ffff
86fca0:550::/28fca0:55f:ffff:ffff:ffff:ffff:ffff:ffff
87fca0:560::/28fca0:56f:ffff:ffff:ffff:ffff:ffff:ffff
88fca0:570::/28fca0:57f:ffff:ffff:ffff:ffff:ffff:ffff
89fca0:580::/28fca0:58f:ffff:ffff:ffff:ffff:ffff:ffff
90fca0:590::/28fca0:59f:ffff:ffff:ffff:ffff:ffff:ffff
91fca0:5a0::/28fca0:5af:ffff:ffff:ffff:ffff:ffff:ffff
92fca0:5b0::/28fca0:5bf:ffff:ffff:ffff:ffff:ffff:ffff
93fca0:5c0::/28fca0:5cf:ffff:ffff:ffff:ffff:ffff:ffff
94fca0:5d0::/28fca0:5df:ffff:ffff:ffff:ffff:ffff:ffff
95fca0:5e0::/28fca0:5ef:ffff:ffff:ffff:ffff:ffff:ffff
96fca0:5f0::/28fca0:5ff:ffff:ffff:ffff:ffff:ffff:ffff
97fca0:600::/28fca0:60f:ffff:ffff:ffff:ffff:ffff:ffff
98fca0:610::/28fca0:61f:ffff:ffff:ffff:ffff:ffff:ffff
99fca0:620::/28fca0:62f:ffff:ffff:ffff:ffff:ffff:ffff
100fca0:630::/28fca0:63f:ffff:ffff:ffff:ffff:ffff:ffff
101fca0:640::/28fca0:64f:ffff:ffff:ffff:ffff:ffff:ffff
102fca0:650::/28fca0:65f:ffff:ffff:ffff:ffff:ffff:ffff
103fca0:660::/28fca0:66f:ffff:ffff:ffff:ffff:ffff:ffff
104fca0:670::/28fca0:67f:ffff:ffff:ffff:ffff:ffff:ffff
105fca0:680::/28fca0:68f:ffff:ffff:ffff:ffff:ffff:ffff
106fca0:690::/28fca0:69f:ffff:ffff:ffff:ffff:ffff:ffff
107fca0:6a0::/28fca0:6af:ffff:ffff:ffff:ffff:ffff:ffff
108fca0:6b0::/28fca0:6bf:ffff:ffff:ffff:ffff:ffff:ffff
109fca0:6c0::/28fca0:6cf:ffff:ffff:ffff:ffff:ffff:ffff
110fca0:6d0::/28fca0:6df:ffff:ffff:ffff:ffff:ffff:ffff
111fca0:6e0::/28fca0:6ef:ffff:ffff:ffff:ffff:ffff:ffff
112fca0:6f0::/28fca0:6ff:ffff:ffff:ffff:ffff:ffff:ffff
113fca0:700::/28fca0:70f:ffff:ffff:ffff:ffff:ffff:ffff
114fca0:710::/28fca0:71f:ffff:ffff:ffff:ffff:ffff:ffff
115fca0:720::/28fca0:72f:ffff:ffff:ffff:ffff:ffff:ffff
116fca0:730::/28fca0:73f:ffff:ffff:ffff:ffff:ffff:ffff
117fca0:740::/28fca0:74f:ffff:ffff:ffff:ffff:ffff:ffff
118fca0:750::/28fca0:75f:ffff:ffff:ffff:ffff:ffff:ffff
119fca0:760::/28fca0:76f:ffff:ffff:ffff:ffff:ffff:ffff
120fca0:770::/28fca0:77f:ffff:ffff:ffff:ffff:ffff:ffff
121fca0:780::/28fca0:78f:ffff:ffff:ffff:ffff:ffff:ffff
122fca0:790::/28fca0:79f:ffff:ffff:ffff:ffff:ffff:ffff
123fca0:7a0::/28fca0:7af:ffff:ffff:ffff:ffff:ffff:ffff
124fca0:7b0::/28fca0:7bf:ffff:ffff:ffff:ffff:ffff:ffff
125fca0:7c0::/28fca0:7cf:ffff:ffff:ffff:ffff:ffff:ffff
126fca0:7d0::/28fca0:7df:ffff:ffff:ffff:ffff:ffff:ffff
127fca0:7e0::/28fca0:7ef:ffff:ffff:ffff:ffff:ffff:ffff
128fca0:7f0::/28fca0:7ff:ffff:ffff:ffff:ffff:ffff:ffff
129fca0:800::/28fca0:80f:ffff:ffff:ffff:ffff:ffff:ffff
130fca0:810::/28fca0:81f:ffff:ffff:ffff:ffff:ffff:ffff
131fca0:820::/28fca0:82f:ffff:ffff:ffff:ffff:ffff:ffff
132fca0:830::/28fca0:83f:ffff:ffff:ffff:ffff:ffff:ffff
133fca0:840::/28fca0:84f:ffff:ffff:ffff:ffff:ffff:ffff
134fca0:850::/28fca0:85f:ffff:ffff:ffff:ffff:ffff:ffff
135fca0:860::/28fca0:86f:ffff:ffff:ffff:ffff:ffff:ffff
136fca0:870::/28fca0:87f:ffff:ffff:ffff:ffff:ffff:ffff
137fca0:880::/28fca0:88f:ffff:ffff:ffff:ffff:ffff:ffff
138fca0:890::/28fca0:89f:ffff:ffff:ffff:ffff:ffff:ffff
139fca0:8a0::/28fca0:8af:ffff:ffff:ffff:ffff:ffff:ffff
140fca0:8b0::/28fca0:8bf:ffff:ffff:ffff:ffff:ffff:ffff
141fca0:8c0::/28fca0:8cf:ffff:ffff:ffff:ffff:ffff:ffff
142fca0:8d0::/28fca0:8df:ffff:ffff:ffff:ffff:ffff:ffff
143fca0:8e0::/28fca0:8ef:ffff:ffff:ffff:ffff:ffff:ffff
144fca0:8f0::/28fca0:8ff:ffff:ffff:ffff:ffff:ffff:ffff
145fca0:900::/28fca0:90f:ffff:ffff:ffff:ffff:ffff:ffff
146fca0:910::/28fca0:91f:ffff:ffff:ffff:ffff:ffff:ffff
147fca0:920::/28fca0:92f:ffff:ffff:ffff:ffff:ffff:ffff
148fca0:930::/28fca0:93f:ffff:ffff:ffff:ffff:ffff:ffff
149fca0:940::/28fca0:94f:ffff:ffff:ffff:ffff:ffff:ffff
150fca0:950::/28fca0:95f:ffff:ffff:ffff:ffff:ffff:ffff
151fca0:960::/28fca0:96f:ffff:ffff:ffff:ffff:ffff:ffff
152fca0:970::/28fca0:97f:ffff:ffff:ffff:ffff:ffff:ffff
153fca0:980::/28fca0:98f:ffff:ffff:ffff:ffff:ffff:ffff
154fca0:990::/28fca0:99f:ffff:ffff:ffff:ffff:ffff:ffff
155fca0:9a0::/28fca0:9af:ffff:ffff:ffff:ffff:ffff:ffff
156fca0:9b0::/28fca0:9bf:ffff:ffff:ffff:ffff:ffff:ffff
157fca0:9c0::/28fca0:9cf:ffff:ffff:ffff:ffff:ffff:ffff
158fca0:9d0::/28fca0:9df:ffff:ffff:ffff:ffff:ffff:ffff
159fca0:9e0::/28fca0:9ef:ffff:ffff:ffff:ffff:ffff:ffff
160fca0:9f0::/28fca0:9ff:ffff:ffff:ffff:ffff:ffff:ffff
161fca0:a00::/28fca0:a0f:ffff:ffff:ffff:ffff:ffff:ffff
162fca0:a10::/28fca0:a1f:ffff:ffff:ffff:ffff:ffff:ffff
163fca0:a20::/28fca0:a2f:ffff:ffff:ffff:ffff:ffff:ffff
164fca0:a30::/28fca0:a3f:ffff:ffff:ffff:ffff:ffff:ffff
165fca0:a40::/28fca0:a4f:ffff:ffff:ffff:ffff:ffff:ffff
166fca0:a50::/28fca0:a5f:ffff:ffff:ffff:ffff:ffff:ffff
167fca0:a60::/28fca0:a6f:ffff:ffff:ffff:ffff:ffff:ffff
168fca0:a70::/28fca0:a7f:ffff:ffff:ffff:ffff:ffff:ffff
169fca0:a80::/28fca0:a8f:ffff:ffff:ffff:ffff:ffff:ffff
170fca0:a90::/28fca0:a9f:ffff:ffff:ffff:ffff:ffff:ffff
171fca0:aa0::/28fca0:aaf:ffff:ffff:ffff:ffff:ffff:ffff
172fca0:ab0::/28fca0:abf:ffff:ffff:ffff:ffff:ffff:ffff
173fca0:ac0::/28fca0:acf:ffff:ffff:ffff:ffff:ffff:ffff
174fca0:ad0::/28fca0:adf:ffff:ffff:ffff:ffff:ffff:ffff
175fca0:ae0::/28fca0:aef:ffff:ffff:ffff:ffff:ffff:ffff
176fca0:af0::/28fca0:aff:ffff:ffff:ffff:ffff:ffff:ffff
177fca0:b00::/28fca0:b0f:ffff:ffff:ffff:ffff:ffff:ffff
178fca0:b10::/28fca0:b1f:ffff:ffff:ffff:ffff:ffff:ffff
179fca0:b20::/28fca0:b2f:ffff:ffff:ffff:ffff:ffff:ffff
180fca0:b30::/28fca0:b3f:ffff:ffff:ffff:ffff:ffff:ffff
181fca0:b40::/28fca0:b4f:ffff:ffff:ffff:ffff:ffff:ffff
182fca0:b50::/28fca0:b5f:ffff:ffff:ffff:ffff:ffff:ffff
183fca0:b60::/28fca0:b6f:ffff:ffff:ffff:ffff:ffff:ffff
184fca0:b70::/28fca0:b7f:ffff:ffff:ffff:ffff:ffff:ffff
185fca0:b80::/28fca0:b8f:ffff:ffff:ffff:ffff:ffff:ffff
186fca0:b90::/28fca0:b9f:ffff:ffff:ffff:ffff:ffff:ffff
187fca0:ba0::/28fca0:baf:ffff:ffff:ffff:ffff:ffff:ffff
188fca0:bb0::/28fca0:bbf:ffff:ffff:ffff:ffff:ffff:ffff
189fca0:bc0::/28fca0:bcf:ffff:ffff:ffff:ffff:ffff:ffff
190fca0:bd0::/28fca0:bdf:ffff:ffff:ffff:ffff:ffff:ffff
191fca0:be0::/28fca0:bef:ffff:ffff:ffff:ffff:ffff:ffff
192fca0:bf0::/28fca0:bff:ffff:ffff:ffff:ffff:ffff:ffff
193fca0:c00::/28fca0:c0f:ffff:ffff:ffff:ffff:ffff:ffff
194fca0:c10::/28fca0:c1f:ffff:ffff:ffff:ffff:ffff:ffff
195fca0:c20::/28fca0:c2f:ffff:ffff:ffff:ffff:ffff:ffff
196fca0:c30::/28fca0:c3f:ffff:ffff:ffff:ffff:ffff:ffff
197fca0:c40::/28fca0:c4f:ffff:ffff:ffff:ffff:ffff:ffff
198fca0:c50::/28fca0:c5f:ffff:ffff:ffff:ffff:ffff:ffff
199fca0:c60::/28fca0:c6f:ffff:ffff:ffff:ffff:ffff:ffff
200fca0:c70::/28fca0:c7f:ffff:ffff:ffff:ffff:ffff:ffff
201fca0:c80::/28fca0:c8f:ffff:ffff:ffff:ffff:ffff:ffff
202fca0:c90::/28fca0:c9f:ffff:ffff:ffff:ffff:ffff:ffff
203fca0:ca0::/28fca0:caf:ffff:ffff:ffff:ffff:ffff:ffff
204fca0:cb0::/28fca0:cbf:ffff:ffff:ffff:ffff:ffff:ffff
205fca0:cc0::/28fca0:ccf:ffff:ffff:ffff:ffff:ffff:ffff
206fca0:cd0::/28fca0:cdf:ffff:ffff:ffff:ffff:ffff:ffff
207fca0:ce0::/28fca0:cef:ffff:ffff:ffff:ffff:ffff:ffff
208fca0:cf0::/28fca0:cff:ffff:ffff:ffff:ffff:ffff:ffff
209fca0:d00::/28fca0:d0f:ffff:ffff:ffff:ffff:ffff:ffff
210fca0:d10::/28fca0:d1f:ffff:ffff:ffff:ffff:ffff:ffff
211fca0:d20::/28fca0:d2f:ffff:ffff:ffff:ffff:ffff:ffff
212fca0:d30::/28fca0:d3f:ffff:ffff:ffff:ffff:ffff:ffff
213fca0:d40::/28fca0:d4f:ffff:ffff:ffff:ffff:ffff:ffff
214fca0:d50::/28fca0:d5f:ffff:ffff:ffff:ffff:ffff:ffff
215fca0:d60::/28fca0:d6f:ffff:ffff:ffff:ffff:ffff:ffff
216fca0:d70::/28fca0:d7f:ffff:ffff:ffff:ffff:ffff:ffff
217fca0:d80::/28fca0:d8f:ffff:ffff:ffff:ffff:ffff:ffff
218fca0:d90::/28fca0:d9f:ffff:ffff:ffff:ffff:ffff:ffff
219fca0:da0::/28fca0:daf:ffff:ffff:ffff:ffff:ffff:ffff
220fca0:db0::/28fca0:dbf:ffff:ffff:ffff:ffff:ffff:ffff
221fca0:dc0::/28fca0:dcf:ffff:ffff:ffff:ffff:ffff:ffff
222fca0:dd0::/28fca0:ddf:ffff:ffff:ffff:ffff:ffff:ffff
223fca0:de0::/28fca0:def:ffff:ffff:ffff:ffff:ffff:ffff
224fca0:df0::/28fca0:dff:ffff:ffff:ffff:ffff:ffff:ffff
225fca0:e00::/28fca0:e0f:ffff:ffff:ffff:ffff:ffff:ffff
226fca0:e10::/28fca0:e1f:ffff:ffff:ffff:ffff:ffff:ffff
227fca0:e20::/28fca0:e2f:ffff:ffff:ffff:ffff:ffff:ffff
228fca0:e30::/28fca0:e3f:ffff:ffff:ffff:ffff:ffff:ffff
229fca0:e40::/28fca0:e4f:ffff:ffff:ffff:ffff:ffff:ffff
230fca0:e50::/28fca0:e5f:ffff:ffff:ffff:ffff:ffff:ffff
231fca0:e60::/28fca0:e6f:ffff:ffff:ffff:ffff:ffff:ffff
232fca0:e70::/28fca0:e7f:ffff:ffff:ffff:ffff:ffff:ffff
233fca0:e80::/28fca0:e8f:ffff:ffff:ffff:ffff:ffff:ffff
234fca0:e90::/28fca0:e9f:ffff:ffff:ffff:ffff:ffff:ffff
235fca0:ea0::/28fca0:eaf:ffff:ffff:ffff:ffff:ffff:ffff
236fca0:eb0::/28fca0:ebf:ffff:ffff:ffff:ffff:ffff:ffff
237fca0:ec0::/28fca0:ecf:ffff:ffff:ffff:ffff:ffff:ffff
238fca0:ed0::/28fca0:edf:ffff:ffff:ffff:ffff:ffff:ffff
239fca0:ee0::/28fca0:eef:ffff:ffff:ffff:ffff:ffff:ffff
240fca0:ef0::/28fca0:eff:ffff:ffff:ffff:ffff:ffff:ffff
241fca0:f00::/28fca0:f0f:ffff:ffff:ffff:ffff:ffff:ffff
242fca0:f10::/28fca0:f1f:ffff:ffff:ffff:ffff:ffff:ffff
243fca0:f20::/28fca0:f2f:ffff:ffff:ffff:ffff:ffff:ffff
244fca0:f30::/28fca0:f3f:ffff:ffff:ffff:ffff:ffff:ffff
245fca0:f40::/28fca0:f4f:ffff:ffff:ffff:ffff:ffff:ffff
246fca0:f50::/28fca0:f5f:ffff:ffff:ffff:ffff:ffff:ffff
247fca0:f60::/28fca0:f6f:ffff:ffff:ffff:ffff:ffff:ffff
248fca0:f70::/28fca0:f7f:ffff:ffff:ffff:ffff:ffff:ffff
249fca0:f80::/28fca0:f8f:ffff:ffff:ffff:ffff:ffff:ffff
250fca0:f90::/28fca0:f9f:ffff:ffff:ffff:ffff:ffff:ffff
251fca0:fa0::/28fca0:faf:ffff:ffff:ffff:ffff:ffff:ffff
252fca0:fb0::/28fca0:fbf:ffff:ffff:ffff:ffff:ffff:ffff
253fca0:fc0::/28fca0:fcf:ffff:ffff:ffff:ffff:ffff:ffff
254fca0:fd0::/28fca0:fdf:ffff:ffff:ffff:ffff:ffff:ffff
255fca0:fe0::/28fca0:fef:ffff:ffff:ffff:ffff:ffff:ffff
256fca0:ff0::/28fca0:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses